#ifndef __DLCD_H__
#define __DLCD_H__

extern int DLCD_DEBUG_ENABLE;

#define DLCD_DBG(format, args...) do { \
	if (DLCD_DEBUG_ENABLE) \
	{\
		printk(KERN_WARNING "[DLCD][%s][%d]"format" ", __func__,__LINE__,##args);\
	} \
} while (0)


#define TM_TRACE_FUNC 	printk("[DLCD] function: %s, line: %d \n", __func__, __LINE__);

#ifndef uchar
#define uchar (unsigned char)				 //数据类型宏定义
#endif

#ifndef uint
#define uint (unsigned int)				 //数据类型宏定义
#endif


u8 disp_array_all[15]={
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
u8 disp_temp_code[16]={
0xaf,0x06,0x6d,0x4f,0xc6,0xcb,0xeb,0x0e,0xef,0xcf,0x00,0x00,0xa9,0x00,0x00,0xe8
};
u8 disp_time_code[10]={
0xfa,0x60,0xbc,0xf4,0x66,0xd6,0xde,0x70,0xfe,0xf6
};
u8 disp_array_time[4]={
0x00,0x00,0x00,0x00
};
u8 disp_array_date[3]={
0x00,0x00,0x00
};
u8 disp_array_bat[1]={
0x00
};
u8 disp_array_temp[5]={
0x00,0x00,0x00,0x00,0x00
};
u8 disp_array_humidity[2]={
0x00,0x00
};

#endif

